gnash-0.8.10

Introduction to gnash

Gnash is the GNU Flash movie player and browser plugin. This is useful for watching YouTube videos or simple flash animations.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

Additional Downloads

gnash Dependencies

Required

agg-2.5, Boost-1.56.0, cURL-7.37.1, gst-ffmpeg-0.10.13, NPAPI-SDK-0.27.2, and giflib-5.1.0

Optional

DejaGnu-1.5.1, GConf-3.2.6, git-2.1.0, KDELibs-4.14.1, libogg-1.3.2, libvorbis-1.3.4, Qt-4.8.6, Speex-1.2rc1, Wget-1.15, SWFTools, Swfmill , Mtasc, Netcat, Csound, LibGSM and Libdc1394.

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gnash

Installation of gnash

Install gnash by running the following commands:

patch -Np1 -i ../gnash-0.8.10-CVE-2012-1175-1.patch &&
sed -i '/^LIBS/s/\(.*\)/\1 -lboost_system/' \
    gui/Makefile.in utilities/Makefile.in   &&
sed -e '/DGifOpen/s:Data:&, NULL:'          \
    -e '/DGifCloseFile/s:_gif:&, NULL:'     \
    -i libbase/GnashImageGif.cpp            &&
sed -i '/#include <csignal>/a\#include <unistd.h>' plugin/klash4/klash_part.cpp &&

./configure --prefix=/usr --sysconfdir=/etc               \
  --with-npapi-incl=/usr/include/npapi-sdk --enable-media=gst \
  --with-npapi-plugindir=/usr/lib/mozilla/plugins         \
  --without-gconf &&
make

To test the results issue make check.

Now, as the root user:

make install &&
make install-plugin

Command Explanations

sed -i '/^LIBS/s/\(.*\)/\1 -lboost_system/' ...: This fixes linking to the current boost libraries.

sed -e '/DGifOpen/s:Data:&, NULL:' ...: This sed fixes building with recent versions of Giflib.

sed -i '/#include <csignal>/a\#include <unistd.h>' ...: This fixes building when kdelibs has been installed.

--enable-media=gst: This tells it to use Gstreamer for to play video and audio (--enable-media=ffmpeg is broken with FFmpeg-0.11.1).

--with-npapi-incl=/usr/include/npapi-sdk: This option tells it where to find some Mozilla headers that it needs.

--with-npapi-plugindir=/usr/lib/mozilla/plugins: This option tells it to install the Mozilla browser plugin into /usr/lib/mozilla/plugins.

--without-gconf: Omit this switch if you have GConf installed and wish gnash to use it.

make install-plugin: This command installs the Mozilla browser plugin.

Contents

Installed Program: gnash-gtk-launcher
Installed Libraries: 2 private libraries in /usr/lib/gnash and libgnashplugin.so.
Installed Directories: /usr/lib/gnash and /usr/share/gnash.

Short Descriptions

gnash-gtk-launcher

launches Gnash.

libgnashplugin.so

is the Mozilla browser plugin.

Last updated on 2014-08-25 00:36:15 +0000